
Application: gvSIG desktop - gvSIG bugs #5608
Al copiar geometrías de una capa 3DM a otra 2D no da error pero deja la capa rota
03/30/2021 04:54 PM - Mario Carrera

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category: Vector editing
Target version: 2.6.0-3328
Severity: Critical Add-on version:
gvSIG version: 2.5.1 Add-on build:
gvSIG build: 3046 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Si copiamos geometrías de una capa 3DM a otra 2D, deja copiarlas, pero deja la capa rota, dando error de inconsistencia de datos.
Debería convertir las geometrías a 2D directamente pudiendo terminar la edición y seguir trabajando. No debería dejar la capa rota.

Aportado por el Ayuntamiento de Onda.

Si no es posible que no debería dejar pegarlas (y si se puede sacaría mensaje de que una capa es 3D y la otra 2D, que debería
convertirse antes).

Adjunto log y capas (se copiarían geometrías de la capa 3D a la 2D).

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5607: Da error al export... Closed 03/30/2021

Associated revisions
Revision 47432 - 08/03/2023 09:06 AM - Francisco Díaz Carsí

refs #5608 Arreglados el parser de wkt y el encoder de WKB para gestione bien las Z y las M. Añadido el método forceSubtype a las Geometrias y
usado en el CoerceToGeometry.

History
#1 - 03/30/2021 04:54 PM - Mario Carrera
- Related to gvSIG bugs #5607: Da error al exportar un SHP Multipolygon 3DM a Multipolygon 2D added

#2 - 05/19/2021 04:58 PM - Álvaro Anguix
- Category set to Vector editing

#3 - 07/31/2023 01:45 PM - Joaquín  del Cerro Murciano
- Assignee set to Francisco Díaz Carsí

#4 - 08/03/2023 09:56 AM - Francisco Díaz Carsí
- Target version changed from 2.6.1-final to 2.6.0-3328
- Status changed from New to Fixed

#5 - 08/03/2023 02:18 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
Bienes_inmuebles.zip 328 KB 03/30/2021 Mario Carrera
gvSIG.log 102 KB 03/30/2021 Mario Carrera
gvSIG.log.1 512 KB 03/30/2021 Mario Carrera
